Bug 1773478 - [Hyper-V][RHEL7.9 kexec-tools doc]kdump does not support nr_cpus=X (X>1) in vm on Hyper-V host
Summary: [Hyper-V][RHEL7.9 kexec-tools doc]kdump does not support nr_cpus=X (X>1) in v...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kexec-tools
Version: 7.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Kairui Song
QA Contact: HuijingHei
Jiri Herrmann
URL:
Whiteboard:
Depends On:
Blocks: 1771898
TreeView+ depends on / blocked
 
Reported: 2019-11-18 09:04 UTC by HuijingHei
Modified: 2020-05-12 08:58 UTC (History)
12 users (show)

Fixed In Version: kexec-tools-2.0.15-47.el7
Doc Type: Known Issue
Doc Text:
.kdump does not support setting nr_cpus to 2 or higher in Hyper-V virtual machines When using RHEL 7.8 as a guest operating system on a Microsoft Hyper-V hypervisor, the kdump kernel in some cases becomes unresponsive when the `nr_cpus` parameter is set to 2 or higher. To avoid this problem from occurring, do not change the default `nr_cpus=1` parameter in the `/etc/sysconfig/kdump` file of the guest.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
kdump serial logs with nr_cpus=2 (30.40 KB, text/plain)
2019-11-18 09:05 UTC, HuijingHei
no flags Details

Description HuijingHei 2019-11-18 09:04:56 UTC
Description of problem:
Kdump works with default nr_cpus=1 in /etc/sysconfig/kdump, if set nr_cpus=2, kdump kernel crash, the issue is discussed in https://bugzilla.redhat.com/show_bug.cgi?id=1724993#c28

Version-Release number of selected component (if applicable):
vm: 16G memory, 4 vcpus, kernel-3.10.0-1112.el7.x86_64
Host: 2016, gen2

How reproducible:
100%

Steps to Reproduce:
1. Start guest and update /etc/sysconfig/kdump(KDUMP_COMMANDLINE_APPEND) with nr_cpus=2 
# kdumpctl restart
# kdumpctl status
Kdump is operational

2. trigger kdump
# echo c > /proc/sysrq-trigger

Actual results:
kdump kernel crash

Expected results:


Additional info:
1. For the console log, can see the attachment
2. Test with rhel8.1, no such issue

Comment 2 HuijingHei 2019-11-18 09:05:55 UTC
Created attachment 1637239 [details]
kdump serial logs with nr_cpus=2

Attach the serial logs

Comment 11 HuijingHei 2020-03-27 03:21:53 UTC
Check kexec-kdump-howto.txt in kexec-tools-2.0.15-47.el7.src.rpm, there is note about the bug:
On HyperV systems, only nr_cpus=1 is supported, if nr_cpus value is larger than 1, capture kernel may hang at boot.

Change bug status to verified

Comment 14 Kairui Song 2020-03-30 07:20:51 UTC
The doc text looks good to me, thanks.


Note You need to log in before you can comment on or make changes to this bug.